Package com.collibra.dgc.core.api.dto.meta.domaintype

# Class AddDomainTypeRequest.Builder

Object
Builder

Enclosing class:
  `AddDomainTypeRequest`

public static final class AddDomainTypeRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AddDomainTypeRequest`
  `build()`
  `AddDomainTypeRequest.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `AddDomainTypeRequest.Builder`
  `description(String description)`
  The description of the new Domain Type.
  `AddDomainTypeRequest.Builder`
  `id(UUID id)`
  The ID of the new Domain Type.
  `AddDomainTypeRequest.Builder`
  `name(String name)`
  Required. The name of the new Domain Type.
  `AddDomainTypeRequest.Builder`
  `parentId(UUID parentId)`
  The ID of the parent of the new Domain Type.
  `AddDomainTypeRequest.Builder`
  `publicId(String publicId)`
  The public id that will be assigned to the new Domain Type.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### but

    @Deprecated public AddDomainTypeRequest.Builder but()
    Deprecated.
    This method will be removed in the future. Please, use `AddDomainTypeRequest.builder()`.
    Clone method for this Builder.

  - ### id

    public AddDomainTypeRequest.Builder id(UUID id)
    The ID of the new Domain Type. Should be unique within all Domain Types. It should have a format of universally unique identifier (UUID) and should not start with `00000000-0000-0000-` which is a reserved prefix
    Returns:
      `this`.

  - ### publicId

    public AddDomainTypeRequest.Builder publicId(String publicId)
    The public id that will be assigned to the new Domain Type.

    It must be unique within all Domain Types. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with "_C". If no public id is provided, a valid public id will be generated.

    Returns:
      `this`.

  - ### name

    public AddDomainTypeRequest.Builder name(String name)
    Required. The name of the new Domain Type. Should be unique within all Domain Types.
    Returns:
      `this`.

  - ### description

    public AddDomainTypeRequest.Builder description(String description)
    The description of the new Domain Type.
    Returns:
      `this`.

  - ### parentId

    public AddDomainTypeRequest.Builder parentId(UUID parentId)
    The ID of the parent of the new Domain Type.
    Returns:
      `this`.

  - ### build

    public AddDomainTypeRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`